{
    "fields": [
        {
            "doc": "URL where reference information for this action can be found",
            "name": "referenceUrl",
            "type": "string"
        },
        {
            "doc": "Action identifier",
            "name": "identifier",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Sources if known",
            "name": "sources",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "doc": "Action type",
            "name": "actionType",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Associated conditions",
            "name": "conditions",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "doc": "Other attributes",
            "name": "otherAttributes",
            "type": [
                "null",
                {
                    "type": "map",
                    "values": "string"
                }
            ]
        },
        {
            "doc": "If true, the association was made at the variant level, if not the association was made at Genomic Entity level",
            "name": "variantActionable",
            "type": "boolean"
        }
    ],
    "name": "OtherAction",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}